<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/ebcdic_to_ascii_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/06/84  ebcdic_to_ascii_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>The ebcdic_to_ascii_ subroutine performs isomorphic <span class="textRainbow_lv0_p0">(</span>one-to-one
<span id="L4" class="LineNr"> 4 </span>reversible<span class="textRainbow_lv0_p0">)</span> conversion from EBCDIC to ASCII.  The input data is a
<span id="L5" class="LineNr"> 5 </span>string of valid EBCDIC characters.  A valid EBCDIC character is defined
<span id="L6" class="LineNr"> 6 </span>as a 9-bit byte with a hexadecimal value in the range
<span id="L7" class="LineNr"> 7 </span>00 &lt;= hex_value &lt;= FF <span class="textRainbow_lv0_p0">(</span>octal value in the range
<span id="L8" class="LineNr"> 8 </span>000 &lt;= oct_value &lt;= 377<span class="textRainbow_lv0_p0">)</span>.
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Calling the ebcdic_to_ascii_ subroutine is extremely efficient,
<span id="L11" class="LineNr">11 </span>since conversion is performed by a single MVT instruction and the
<span id="L12" class="LineNr">12 </span>procedure runs in the stack frame of its caller.
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>Entry points in ebcdic_to_ascii_:
<span id="L16" class="LineNr">16 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>:Entry: ebcdic_to_ascii_: 02/06/84  ebcdic_to_ascii_
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Function: This entry point accepts an EBCDIC character string and
<span id="L22" class="LineNr">22 </span>generates an ASCII character string of equal length.
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>Syntax:
<span id="L26" class="LineNr">26 </span>declare ebcdic_to_ascii_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L27" class="LineNr">27 </span>call ebcdic_to_ascii_ <span class="textRainbow_lv0_p0">(</span>ebcdic_in<span class="textRainbow_lv0_o0">,</span> ascii_out<span class="textRainbow_lv0_p0">)</span>;
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>Arguments:
<span id="L31" class="LineNr">31 </span>ebcdic_in
<span id="L32" class="LineNr">32 </span>   is the string of EBCDIC characters to be converted.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L33" class="LineNr">33 </span>ascii_out
<span id="L34" class="LineNr">34 </span>   is the ASCII equivalent of the input string.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span>:Entry:  ea_table:  02/06/84 ebcdic_to_ascii_$ea_table
<span id="L38" class="LineNr">38 </span>
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>Function:  This entry point defines the 256-character translation table
<span id="L41" class="LineNr">41 </span>used to perform conversion from EBCDIC to ASCII.
<span id="L42" class="LineNr">42 </span>
<span id="L43" class="LineNr">43 </span>
<span id="L44" class="LineNr">44 </span>Syntax:
<span id="L45" class="LineNr">45 </span>declare ebcdic_to_ascii_$ea_table char<span class="textRainbow_lv0_p0">(</span>256<span class="textRainbow_lv0_p0">)</span> external static;
<span id="L46" class="LineNr">46 </span>
<span id="L47" class="LineNr">47 </span>
<span id="L48" class="LineNr">48 </span>Notes: Of the 256 valid EBCDIC characters, only 128 have ASCII
<span id="L49" class="LineNr">49 </span>equivalents.  These latter 128 characters are defined in the
<span id="L50" class="LineNr">50 </span>Isomorphic ASCII/EBCDIC Conversion Table <span class="textRainbow_lv0_p0">(</span>in the Subroutines manual.<span class="textRainbow_lv0_p0">)</span>
<span id="L51" class="LineNr">51 </span>
<span id="L52" class="LineNr">52 </span>For defined characters, the mappings implemented by the
<span id="L53" class="LineNr">53 </span>ebcdic_to_ascii_ and ascii_to_ebcdic_ subroutines are isomorphic;
<span id="L54" class="LineNr">54 </span>i.e., each character has a unique mapping, and mappings are
<span id="L55" class="LineNr">55 </span>reversible.  An undefined <span class="textRainbow_lv0_p0">(</span>but valid<span class="textRainbow_lv0_p0">)</span> EBCDIC character is mapped into
<span id="L56" class="LineNr">56 </span>the ASCII SUB <span class="textRainbow_lv0_p0">(</span>substitute<span class="textRainbow_lv0_p0">)</span> character, octal 032; the mapping of such a
<span id="L57" class="LineNr">57 </span>character is anisomorphic.  The result of converting an invalid
<span id="L58" class="LineNr">58 </span>character is undefined.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
